XRANDR(1)

NUME
xrandr - interfață primitivă de linie de comandă pentru extensia RandR

SINOPSIS
xrandr [--help] [--display afișaj] [-q] [-v] [--verbose] [--dryrun] [--screen număr-ecran] [--q1] [--q12] [--current] [--noprimary] [--panning lățimexînălțime[+x+y[/lățime-chenarxînălțime-chenar+chenar-x+chenar-y[/margine-stânga/margine-sus/margine-dreapta/margine-jos]]]] [--scale x[xy]] [--scale-from wxh] [--transform a,b,c,d,e,f,g,h,i] [--primary] [--prop] [--fb lățimexînălțime] [--fbmm lățimexînălțime] [--dpi dpi] [--dpi de_la-ieșire] [--newmode nume mod] [--rmmode nume] [--addmode ieșire nume] [--delmode ieșire nume] [--output ieșire] [--auto] [--mode mod] [--preferred] [--pos xxy] [--rate rata] [--reflect reflexia] [--rotate orientare] [--left-of altă-ieșire] [--right-of altă-ieșire] [--above altă-ieșire] [--below altă-ieșire] [--same-as altă-ieșire] [--set proprietate valoare] [--off] [--crtc crtc] [--gamma roșu[:verde:albastru]] [--brightness luminozitate] [-o orientare] [-s dimensiune] [-r rata] [-x] [-y] [--listproviders] [--setprovideroutputsource furnizor sursă] [--setprovideroffloadsink furnizor sink] [--listmonitors] [--listactivemonitors] [--setmonitor nume geometrie ieșiri] [--delmonitor nume]

DESCRIERE
Xrandr este utilizat pentru a defini dimensiunea, orientarea și/sau reflectarea ieșirilor pentru un ecran. De asemenea, poate stabili dimensiunea ecranului.

Dacă este invocat fără nici o opțiune, va afișa starea ieșirilor, arătând modurile existente pentru fiecare dintre ele, cu un „+” după modurile preferate și un „*” după modul curent.

Există câteva opțiuni globale. Alte opțiuni modifică ultima ieșire care este specificată în parametrii anteriori din linia de comandă. Mai multe ieșiri pot fi modificate în același timp prin folosirea mai multor opțiuni „--output” urmate imediat de opțiunile de modificare corespunzătoare.

--help
    Afișează un rezumat al utilizării și iese.

-v, --version
    Afișează versiunea RandR raportată de serverul X și iese.

--verbose
    Face ca «xrandr» să ofere masaje mai detaliate. Atunci când este utilizată cu „-q” (sau fără alte opțiuni), «xrandr» va afișa mai multe informații despre starea serverului. Vă rugăm să rețineți că informațiile despre gamma și luminozitate sunt doar aproximări ale profilului complet de culoare stocat în server. Atunci când este utilizată împreună cu opțiuni care reconfigurează sistemul, va fi raportat progresul în timpul executării modificărilor de configurare.

-q, --query
    Atunci când această opțiune este prezentă sau când nu se solicită nicio modificare a configurației, «xrandr» va afișa starea actuală a sistemului.

--dryrun
    Efectuează toate acțiunile specificate, cu excepția faptului că nu se efectuează nicio modificare.

--nograb
    Aplică modificările fără a captura ecranul. Se evită astfel blocarea altor aplicații în timpul actualizării, dar este posibil ca unele aplicații care detectează redimensionarea ecranului să primească valori vechi.

-d, --display nume
    Această opțiune selectează afișajul X care urmează să fie utilizat. Rețineți că se referă la abstractizarea ecranului X, nu la monitor (sau la ieșire).

--screen număr-ecran
    Această opțiune selectează ecranul care trebuie manipulat. Rețineți că se referă la abstractizarea ecranului X, nu la monitor (sau la ieșire).

--q1
    Forțează utilizarea protocolului RandR versiunea 1.1, chiar dacă este disponibilă o versiune superioară.

--q12
    Forțează utilizarea protocolului RandR versiunea 1.2, chiar dacă afișajul nu îl raportează ca fiind acceptat sau dacă este disponibilă o versiune superioară.

Opțiunile RandR versiunea 1.5

Opțiunile pentru RandR 1.5 sunt utilizate ca un superset al opțiunilor pentru RandR 1.4.

--listmonitors
    Raportează informații despre toate monitoarele definite.

--listactivemonitors
    Raportează informații despre monitoarele active în prezent.

--setmonitor nume geometrie ieșiri
    Definește un nou monitor cu geometria dată și asociat cu ieșirile date. Lista de ieșiri este fie cuvântul cheie none, fie o listă de ieșiri separate prin virgulă. Geometria este fie cuvântul cheie auto, caz în care monitorul va urmări automat geometria ieșirilor asociate, fie o specificație manuală sub forma w/mmwxh/mmh+x+y unde w, h, x, y sunt exprimate în pixeli, iar mmw, mmh sunt dimensiunile fizice ale monitorului.

--delmonitor nume
    Șterge monitorul definit de utilizator.

Opțiunile RandR versiunea 1.4

Opțiunile pentru RandR 1.4 sunt utilizate ca un superset al opțiunilor pentru RandR 1.3.

--listproviders
    Raportează informații despre furnizorii disponibili.

--setprovideroutputsource furnizor sursă
    Stabilește sursă ca sursă a imaginilor de ieșire pentru furnizor. Acest lucru este posibil numai dacă sursa și furnizorul au capacitățile Source Output și, respectiv, Sink Output. Dacă sursa este 0x0, atunci furnizor este deconectat de la sursa sa curentă de ieșire.

--setprovideroffloadsink furnizor sink
    Stabilește furnizor ca dispozitiv de descărcare a redării pentru sink. Acest lucru este posibil numai dacă furnizor și sink au capacitățile Source Offload și, respectiv, Sink Offload. Dacă sink este 0x0, atunci furnizor este deconectat de la sursa sa curentă de descărcare a redării.

Opțiunile RandR versiunea 1.3

Opțiunile pentru RandR 1.3 sunt utilizate ca un superset al opțiunilor pentru RandR 1.2.

--current
    Returnează configurația curentă a ecranului, fără interogare pentru modificări hardware.

--noprimary
    Nu definește o ieșire primară.

Opțiuni pentru ieșire

--panning lățimexînălțime[+x+y[/lățime-chenarxînălțime-chenar+chenar-x+chenar-y[/margine-stânga/margine-sus/margine-dreapta/margine-jos]]]
    Această opțiune stabilește parametrii de panoramare. De îndată ce este activată panoramarea, poziția CRTC se poate modifica la fiecare mișcare a indicatorului. Primii patru parametri specifică zona totală de panoramare, iar următorii patru, zona de urmărire a indicatorului (care, în mod implicit, este aceeași zonă). Ultimii patru parametri specifică marginea și au valoarea implicită 0. O lățime sau o înălțime stabilită la zero dezactivează panoramarea pe axa respectivă. De obicei, trebuie să stabiliți simultan dimensiunea ecranului cu --fb.

--transform a,b,c,d,e,f,g,h,i
    Specifică o matrice de transformare care se aplică la ieșire. Se selectează automat un filtru biliniar, cu excepția cazului în care se specifică și parametrul „--filter”. Forma matematică corespunde la:
        a b c
        d e f
        g h i
    Transformarea se bazează pe coordonate omogene. Matricea înmulțită cu vectorul de coordonate al unui pixel de la ieșire dă vectorul de coordonate transformat al unui pixel din memoria tampon grafică. Mai precis, vectorul (x y) al pixelului de ieșire este extins la 3 valori (x y w), cu 1 ca coordonată w și multiplicat cu matricea. Coordonatele finale ale pixelului sunt apoi calculate cu așa-numita diviziune omogenă prin coordonata w transformată. Cu alte cuvinte, coordonatele dispozitivului (x' y') ale pixelului transformat sunt:
        x' = (ax + by + c) / w' și
        y' = (dx + ey + f) / w' ,
        cu w' = (gx + hy + i) .
    În mod obișnuit, a și e corespund scalării pe axele X și Y, c și f corespund translației pe aceste axe, iar g, h și i sunt, respectiv, 0, 0 și 1. Matricea poate fi, de asemenea, utilizată pentru a exprima transformări mai complexe, cum ar fi corecția de trapez sau rotația. Pentru o rotație a unui unghi T, se poate utiliza această formulă:
        cos T -sin T 0
        sin T cos T 0
         0 0 1
    Ca argument special, în loc să se paseze o matrice, se poate plasa șirul none, caz în care se utilizează valorile implicite (o matrice unitară fără filtru).

--filter mod-filtru
    Alege metoda filtrului de scalare care urmează să fie aplicată atunci când ecranul este scalat sau transformat. Poate fi fie „bilinear”, fie „nearest”.

--scale x[xy]
    Modifică dimensiunile imaginii de ieșire. Dacă valoarea y este omisă, valoarea x va fi utilizată pentru ambele dimensiuni. Valorile mai mari de 1 conduc la un ecran comprimat (dimensiunea ecranului mai mare decât dimensiunea modului de ieșire), iar valorile mai mici de 1 conduc la o mărire a imaginii de ieșire. Această opțiune este, de fapt, o versiune prescurtată a opțiunii --transform.

--scale-from wxh
    Specifică dimensiunea în pixeli a zonei din framebuffer care urmează să fie afișată pe această ieșire. Această opțiune este, de fapt, o versiune prescurtată a opțiunii --transform.

--primary
    Stabilește ieșirea ca primară. Aceasta va fi sortată prima în cererile de geometrie Xinerama și RANDR.

Opțiunile RandR versiunea 1.2
Aceste opțiuni sunt disponibile numai pentru serverele X care acceptă RandR versiunea 1.2 sau o versiune mai nouă.

--prop, --properties
    Această opțiune face ca «xrandr» să afișeze conținutul proprietăților pentru fiecare ieșire. „--verbose” activează, de asemenea, „--prop”.

--fb lățimexînălțime
    Reconfigurează ecranul la dimensiunea specificată. Toate monitoarele configurate trebuie să se încadreze în această dimensiune. Atunci când această opțiune nu este furnizată, «xrandr» calculează cea mai mică dimensiune a ecranului care va conține setul de ieșiri configurate; această opțiune oferă o modalitate de a anula acest comportament.

--fbmm lățimexînălțime
    Definește valoarea raportată ca dimensiune fizică a ecranului X ca întreg (uniunea tuturor monitoarelor configurate). În configurațiile cu mai multe monitoare cu DPI-uri diferite, valoarea nu are nicio semnificație fizică, dar poate fi utilizată de unii clienți vechi care nu acceptă RandR versiunea 1.2 pentru a calcula o scalare a fontului de referință. În mod normal, «xrandr» reinițializează valorile mărimilor fizice raportate pentru a menține constant DPI-ul. Această opțiune anulează acest calcul. Valoarea DPI implicită este 96.

--dpi dpi

--dpi de_la-ieșire
    Aceasta stabilește, de asemenea, valoarea raportată ca dimensiune fizică a ecranului X ca întreg (uniunea tuturor monitoarelor configurate). În configurațiile cu mai multe monitoare cu DPI-uri diferite, valoarea nu are nicio semnificație fizică, dar poate fi utilizată de unii clienți vechi care nu acceptă RandR versiunea 1.2 pentru a calcula o scalare a fontului de referință. Această opțiune utilizează fie valoarea DPI specificată, fie DPI-ul ieșirii date, pentru a calcula o dimensiune fizică adecvată folosind orice dimensiune a pixelilor care va fi stabilită. Valorile tipice sunt valoarea implicită (96 DPI), DPI-ul unui singur monitor în cazul configurațiilor cu un singur monitor sau DPI-ul monitorului principal în cazul configurațiilor cu mai multe monitoare.

--newmode nume mod
    Se pot adăuga noi definiții de ecran „modeline” la server și apoi se pot asocia cu ieșiri. Această opțiune face prima variantă. modul este specificat folosind sintaxa ModeLine pentru xorg.conf: clock hdisp hsyncstart hsyncend htotal vdisp vsyncstart vsyncend vtotal fanioane. fanioane poate fi zero sau mai multe dintre +HSync, -HSync, +VSync, -VSync, Interlace, DoubleScan, CSync, +CSync, -CSync. Mai multe instrumente permit să se calculeze definiția „modeline” obișnuită din înălțime, lățime și rata de reîmprospătare, de exemplu, se poate utiliza cvt.

--rmmode nume
    Această opțiune elimină un mod de pe server în cazul în care acesta nu este utilizat.

--addmode ieșire nume
    Adaugă un mod la setul de moduri valabile pentru o ieșire.

--delmode ieșire nume
    Elimină un mod din setul de moduri valabile pentru o ieșire.

Opțiuni pentru ieșire

--output ieșire
    Selectează o ieșire pentru reconfigurare. Utilizați fie numele ieșirii, fie XID-ul.

--auto
    Pentru ieșirile conectate, dar dezactivate, acest lucru le va activa folosind primul mod preferat (sau ceva apropiat de 96 dpi, dacă nu au un mod preferat). Pentru ieșirile deconectate, dar activate, această opțiune le va dezactiva.

--mode mod
    Aceasta selectează un mod. Utilizați fie numele, fie XID-ul pentru mod.

--preferred
    Aceasta selectează același mod ca și „--auto”, dar nu activează sau dezactivează automat ieșirea.

--pos xxy
    Poziționează ieșirea pe ecran folosind coordonatele pixelilor. În cazul în care se aplică reflexia sau rotația, translația se aplică după efecte.

--rate rata
    Aceasta marchează o preferință pentru rate de reîmprospătare apropiate de valoarea specificată; atunci când mai multe moduri au același nume, se va selecta cel cu cea mai apropiată rată de reîmprospătare.

--reflect reflexia
    Reflexia poate fi una dintre „normale” „x”, „y” sau „xy”. Acest lucru face ca conținutul de ieșire să fie reflectat pe axele specificate.

--rotate rotație
    Rotația poate fi una dintre următoarele: „normal”, „left”, „right” sau „inverted”. Aceasta determină rotirea conținutului ieșirii în direcția specificată. „right” specifică o rotație a imaginii în sensul acelor de ceasornic, iar „left” specifică o rotație în sens invers acelor de ceasornic.

--left-of, --right-of, --above, --below, --same-as altă-ieșire
    Utilizați una dintre aceste opțiuni pentru a poziționa ieșirea în raport cu poziția unei alte ieșiri. Acest lucru permite aranjarea comodă a ieșirilor pe ecran. Poziția este întotdeauna calculată în raport cu noua poziție a celeilalte ieșiri, astfel încât nu este valabil să se spună --output a --left-of b --output b --left-of a.

--set proprietate valoare
    Stabilește o proprietate de ieșire. Proprietățile de tip întreg pot fi specificate ca o listă validă (a se vedea „--prop”) de valori zecimale sau hexazecimale (cu un 0x în față), separate prin virgule. Proprietățile atomice pot fi stabilite la oricare dintre atomii valabili (a se vedea „--prop”). Proprietățile de tip șir de caractere pot fi stabilite la orice valoare.

--off
    Dezactivează ieșirea.

--crtc crtc
    Utilizează crtc-ul specificat (fie ca indice în lista de CRTC-uri, fie ca XID). În utilizarea normală, această opțiune nu este necesară, deoarece «xrandr» încearcă să facă alegeri raționale cu privire la ce crtc să utilizeze cu fiecare ieșire. În cazul în care acest lucru nu reușește din anumite motive, această opțiune poate anula selecția normală.

--gamma roșu[:verde:albastru]
    Stabilește valorile în virgulă mobilă specificate ca corecție gamma pe crtc-ul atașat în prezent la această ieșire. Dacă nu se specifică verdele și albastrul, valoarea roșie va fi utilizată pentru toate cele trei componente. Rețineți că nu puteți obține două valori diferite pentru ieșirile clonate (adică: care împart același crtc) și că trecerea unei ieșiri la un alt crtc nu modifică deloc corecțiile gamma ale crtc-ului.

--brightness luminozitate
    Înmulțește valorile gamma de pe crtc-ul atașat în prezent la ieșire la valoarea flotantă specificată. Utilă pentru ieșirile prea luminoase sau prea întunecate. Cu toate acestea, aceasta este o modificare exclusiv software; dacă hardware-ul dvs. are suport pentru a modifica efectiv luminozitatea, probabil că veți prefera să utilizați xbacklight.

Opțiunile RandR versiunea 1.1
Aceste opțiuni sunt disponibile pentru serverele X care acceptă RandR versiunea 1.1 sau o versiune mai veche. Ele sunt încă valabile pentru serverele X mai noi, dar nu interacționează în mod sensibil cu opțiunile versiunii 1.2 de pe aceeași linie de comandă.

-s, --size index-dimensiune sau --size lățimexînălțime
    Aceasta setează dimensiunea ecranului, fie prin potrivire în funcție de dimensiune, fie utilizând indicele din lista de dimensiuni disponibile.

-r, --rate, --refresh rata
    Aceasta stabilește rata de reîmprospătare cea mai apropiată de valoarea specificată.

-o, --orientation rotație
    Aceasta specifică orientarea ecranului și poate fi una dintre următoarele: normal, inverted, left sau right.

-x  Reflectă pe axa X.

-y  Reflectă pe axa Y.

EXEMPLE
Stabilește o ieșire numită LVDS în modul său preferat, iar în dreapta sa pune o ieșire numită VGA în modul preferat al unui ecran care a fost rotit fizic în sensul acelor de ceasornic:
    xrandr --output LVDS --auto --rotate normal --pos 0x0 --output VGA --auto --rotate left --right-of LVDS

Forțează utilizarea unui mod 1024x768 pe o ieșire numită VGA:
    xrandr --newmode "1024x768" 63.50 1024 1072 1176 1328 768 771 775 798 -hsync +vsync
    xrandr --addmode VGA 1024x768
    xrandr --output VGA --mode 1024x768

Activează panoramarea pe un desktop de 1600x768 în timp ce afișează modul 1024x768 pe o ieșire numită VGA:
    xrandr --fb 1600x768 --output VGA --mode 1024x768 --panning 1600x0

Aveți un mic ecran LVDS de 1280x800 care afișează o versiune mică a unui desktop uriaș de 3200x2000, iar un ecran VGA mare afișează împrejurimile mouse-ului la dimensiuni normale.
    xrandr --fb 3200x2000 --output LVDS --scale 2.5x2.5 --output VGA --pos 0x0 --panning 3200x2000+0+0/3200x2000+0+0/64/64/64/64

Afișează ieșirea VGA în formă trapezoidală, astfel încât aceasta să fie corectată trapezoidal atunci când video proiectorul se află ușor deasupra ecranului:
    xrandr --fb 1024x768 --output VGA --transform 1.24,0.16,-124,0,1.24,0,0,0.000316,1

CONSULTAȚI ȘI
Xrandr(3), cvt(1), xkeystone(1), xbacklight(1)

AUTORI
Keith Packard, Open Source Technology Center, Intel Corporation și Jim Gettys, Cambridge Research Laboratory, HP Labs, HP.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.